<?php
/*
Plugin Name: Translator
Version: 1.0.1-beta
Description: Plugin pour faciliter les traductions / Plugin to facilitate translations
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=223
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@grum.dnsalias.com
    website  : http://photos.grum.dnsalias.com
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY
  0.1.0-dev - 04/11/07 +
  1.0.0-beta- 11/05/07 +  first beta release
  1.0.1-beta- 12/05/07 -  for adviser going into config tab, error message was
                          displayed even if adviser did not try to do something ;
                          error message is now displayed only if adviser try to
                          save settings
                       -  adviser error message was not defined ;
                       -  when file is exported, update date/time stored in the
                          database ; this is needed to avoid incorrect analyze
                          of file changes
                       -  forgotten to instanciate Ajax object ; done into root class
:: TO DO


--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $user, $lang;

define('TRANSLATOR_DIR' , basename(dirname(__FILE__)));
define('TRANSLATOR_PATH' , PHPWG_PLUGINS_PATH . TRANSLATOR_DIR . '/');

define('TRANSLATOR_VERSION' , '1.0.1-beta'); //don't forget to modify header's release number

if(basename($_SERVER["PHP_SELF"])=='admin.php')
{
  //$user['language']='';
  //include_once(get_language_filepath('plugin.lang.php', TRANSLATOR_PATH));
  include_once("plugin_class_bo.inc.php");

  $obj=new bo_translator($prefixeTable, __FILE__);
  $obj->init_events();
  set_plugin_data($plugin['id'], $obj);
}


include_once("plugin_class_test.inc.php");
$test=new test_translator($prefixeTable, __FILE__);
$test->init_events();
//set_plugin_data($plugin['id'], $test);


?>
